tigase.jaxmpp.core.client

## Class SessionObject.ClearedHandler.ClearedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<SessionObject.ClearedHandler>
    - - tigase.jaxmpp.core.client.SessionObject.ClearedHandler.ClearedEvent

- Enclosing interface:
    SessionObject.ClearedHandler

      public static class SessionObject.ClearedHandler.ClearedEvent
      extends JaxmppEvent<SessionObject.ClearedHandler>

  Fired when properties from `SessionObject` are cleared.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClearedEvent(SessionObject sessionObject, Set<SessionObject.Scope> scopes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(SessionObject.ClearedHandler handler)` Invokes handlers method.
    `Set<SessionObject.Scope>` | `getScopes()`
    `void` | `setScopes(Set<SessionObject.Scope> scopes)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearedEvent

          public ClearedEvent(SessionObject sessionObject,
                              Set<SessionObject.Scope> scopes)

  - ### Method Detail

    - #### dispatch

          public void dispatch(SessionObject.ClearedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<SessionObject.ClearedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getScopes

          public Set<SessionObject.Scope> getScopes()

    - #### setScopes

          public void setScopes(Set<SessionObject.Scope> scopes)

Copyright © 2006–2019 Tigase. All rights reserved.